import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

class BuyTradeTest {

	@Test
	void buyTradeTest() {
		Customer c = new Customer("c1");
		Stock stock = new Stock("Apple");
		BuyTrade buyTrade = new BuyTrade(1, c, stock, 100, 200);
		assertEquals(buyTrade.getCustomer().getId(), c.getId());
		assertEquals(buyTrade.getPrice(), 200);
		assertEquals(buyTrade.getQty(), 100);
		assertEquals(buyTrade.getTime(), 1);
		assertEquals(buyTrade.getType(), "BUY");
		assertEquals(buyTrade.getStock().getName(), "Apple");
	}
	
	@Test
	void equalityTest() {
		Customer c1 = new Customer("c1");
		Customer c2 = new Customer("c2");
		Stock s1 = new Stock("Apple");
		Stock s2 = new Stock("Google");
		BuyTrade bt1 = new BuyTrade(1, c1, s1, 100, 200);
		SellTrade st1 = new SellTrade(1, c1, s1, 100, 200);
		
		// checking if a two objects created with exact same arguments
		// are indeed equal
		assertEquals(new BuyTrade(1, c1, s1, 100, 200), bt1);
		assertNotEquals(new BuyTrade(1, c1, s1, 100, 300), bt1);
		
		// checking SellTrade and BuyTrade are not equal
		assertNotEquals(bt1, st1);
	}

}
