import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

class SellTradeTest {

	@Test
	void sellTradeTest() {
		Customer c = new Customer("c1");
		Stock stock = new Stock("Apple");
		SellTrade sellTrade = new SellTrade(1, c, stock, 100, 200);
		assertEquals(sellTrade.getCustomer().getId(), c.getId());
		assertEquals(sellTrade.getPrice(), 200);
		assertEquals(sellTrade.getQty(), 100);
		assertEquals(sellTrade.getTime(), 1);
		assertEquals(sellTrade.getType(), "SELL");	
		assertEquals(sellTrade.getStock().getName(), "Apple");
	}

	@Test
	void equalityTest() {
		Customer c1 = new Customer("c1");
		Customer c2 = new Customer("c2");
		Stock s1 = new Stock("Apple");
		Stock s2 = new Stock("Google");
		BuyTrade bt1 = new BuyTrade(1, c1, s1, 100, 200);
		SellTrade st1 = new SellTrade(1, c1, s1, 100, 200);
		
		// checking if a two objects created with exact same arguments
		// are indeed equal
		assertEquals(new SellTrade(1, c1, s1, 100, 200), st1);
		assertNotEquals(new SellTrade(1, c1, s1, 100, 300), st1);
		
		// checking SellTrade and BuyTrade are not equal
		assertNotEquals(bt1, st1);
	}

}
