/*
 * This Trade abstract class provides all the methods common 
 * for both SellTrade and BuyTrade classes that will inherit 
 * for it.
 */
public abstract class Trade {
	int qty;
	float price;
	int time;
	String type;
	Customer c;
	Stock stock;
	
	Trade(int time, String type, Customer c, Stock stock, int qty, float price) {
		this.qty = qty;
		this.price = price;
		this.c = c;
		this.time = time;
		this.type = type;
		this.stock = stock;
	}
	
	int getQty() {	return qty; }
	
	float getPrice() { return price; }
	
	int getTime() { return time;	}
	
	String getType() { return type; }
	
	Customer getCustomer() { return c; }
	
	Stock getStock() { return stock; }

	@Override
	public boolean equals(Object o) {
		// self check
		if (this == o)	return true;
		
		// null check
		if (o == null) return false;
		
		// type check and case
		if (getClass() != o.getClass()) return false;
		
		Trade t = (Trade) o;
		
		return this.time == t.getTime() && this.type.equals(t.getType())
				&& this.c.equals(t.getCustomer()) && this.stock.equals(t.getStock())
				&& this.qty == t.getQty() && this.price == t.getPrice();
	}
}
